Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOConstructionBaseInfo.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOConstructionBaseInfo.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOConstructionBaseInfo.cs	(revision 51)
@@ -989,7 +993,7 @@
                 
                 // 枝番最大値の工事番号取得
                 string strSQL = "SELECT IFNULL(MAX(CONSTRUCTIONCODE), -1) FROM CONSTRUCTIONBASEINFO";
-                strSQL += string.Format(" WHERE TRUNCATE(CONSTRUCTIONCODE / 100, 0) = {0}", CommonMotions.cnvTruncate(NowCode / 100));
+                strSQL += string.Format(" WHERE TRUNCATE(CONSTRUCTIONCODE / 100,0) = {0}", CommonMotions.cnvTruncate(NowCode / 100));
                 ArrayList arList = new ArrayList();
 
                 // データが無ければ抜ける
Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOConstructionBaseInfoDetail.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOConstructionBaseInfoDetail.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOConstructionBaseInfoDetail.cs	(revision 51)
@@ -6,7 +6,7 @@
 using System.Collections;
 
 using log4net;
-using MySql.Data.MySqlClient; 
+using MySql.Data.MySqlClient;           // Data Provider for MySql
 
 using ProcessManagement.DB.MySql;
 using ProcessManagement.DB.Core;
@@ -75,9 +75,9 @@
         }
         #endregion
 
-        #region 読込み処理
+        #region 読込み処理（1件）
         /// <summary>
-        /// 工事基本情報明細検索
+        /// 工事基本情報明細検索（1件）
         /// </summary>
         /// <param name="AddSQLString">検索条件SQL文字列</param>
         /// <param name="data">工事基本情報データ</param>
@@ -98,7 +98,6 @@
                 // データセット
                 foreach (object[] objwrk in arData)
                 {
-                    ConstructionBaseInfoDetail work = new ConstructionBaseInfoDetail();
                     Reader2Struct(objwrk, ref data);
                     break;
                 }
@@ -113,9 +112,9 @@
         }
         #endregion
 
-        #region 読込み処理
+        #region 読込み処理（複数件）
         /// <summary>
-        /// 工事基本情報明細検索
+        /// 工事基本情報明細検索（複数件）
         /// </summary>
         /// <param name="AddSQLString">検索条件SQL文字列</param>
         /// <param name="data">工事基本情報データ</param>
@@ -171,8 +170,8 @@
                 strcmd += string.Format(", {0}", data.DetailNo);
                 strcmd += string.Format(",'{0}'", data.DetailString);
 
-                strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
-                strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
                 strcmd = strcmd + ")";
 
                 if (!ExecuteNonQuery(strcmd, bConnect)) return false;
@@ -231,7 +230,7 @@
                 strcmd += string.Format(" ,DetailNo = {0}", data.DetailNo);
                 strcmd += string.Format(" ,DetailString = '{0}'", data.DetailString);
 
-                strcmd += ", UpdateDate = DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", UpdateDate = STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
                 strcmd += AddSQLString;
 
                 if (!ExecuteNonQuery(strcmd, bConnect)) return false;
@@ -304,6 +303,47 @@
 
         #endregion
 
+        #region 1項目更新処理
+        /// <summary>
+        /// 1項目の更新を行う
+        /// </summary>
+        /// <returns></returns>
+        public bool UpdateFeild(int ConstructionCode, int FeildNo, object value, bool bConnect = true, int DetailNo = 0)
+        {
+            string strcmd = "";
+            try
+            {
+                strcmd = "UPDATE ConstructionBaseInfoDetail";
+
+                strcmd += " SET";
+                switch (FeildNo)
+                {
+                    case (int)TableColumn.CONSTRUCTION_CODE:
+                        strcmd += string.Format(" ConstructionCode = {0}", ((int)value).ToString());
+                        break;
+                    case (int)TableColumn.DETAIL_NO:
+                        strcmd += string.Format(" DetailNo = {0}", ((int)value).ToString());
+                        break;
+                    case (int)TableColumn.DETAIL_STRING:
+                        strcmd += string.Format(" DetailString = '{0}'", value.ToString());
+                        break;
+                }
+
+                strcmd += ", UpdateDate = STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += CreatePrimarykeyString(ConstructionCode, DetailNo);
+
+                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
         #region 検索の文字列を返す
 
         /// <summary>
@@ -352,8 +392,8 @@
                 // SQL実行
                 if (!ExecuteNonQuery(strcmd, bConnect)) return false;
 
-                //strcmd = "UPDATE ConstructionBaseInfoDetail SET EntryDate = DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
-                //strcmd += ", UpdateDate = DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                //strcmd = "UPDATE ConstructionBaseInfoDetail SET EntryDate = TO_DATE(TO_CHAR(sysdate,'YYYY/MM/DD HH24:MI:SS'),'YYYY/MM/DD HH24:MI:SS')";
+                //strcmd += ", UpdateDate = TO_DATE(TO_CHAR(sysdate,'YYYY/MM/DD HH24:MI:SS'),'YYYY/MM/DD HH24:MI:SS')";
                 //strcmd += CreatePrimarykeyString(FromCode);
 
                 //// SQL実行
Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOConstructionBudget.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOConstructionBudget.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOConstructionBudget.cs	(revision 51)
@@ -6,7 +6,7 @@
 using System.Collections;
 
 using log4net;
-using MySql.Data.MySqlClient;
+using MySql.Data.MySqlClient;           // Data Provider for MySql
 
 using ProcessManagement.DB.MySql;
 using ProcessManagement.DB.Core;
@@ -31,7 +31,7 @@
         /// <summary>
         /// 工事予算書データフィールド並び
         /// </summary>
-        public enum ConstructionBudgetColumn
+        public enum TableColumn
         {
             ConstructionCode = 0,	    // 工事番号
 
@@ -253,12 +253,12 @@
                 strcmd += string.Format(",'{0}'", work.InstructorName);                 // 工事指導員名
                 strcmd += string.Format(", {0}", work.InstructorCosts);                 // 工事指導員給与
                 
-                strcmd += string.Format(", DATE_FORMAT('{0}','%Y/%m/%d')",
+                strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')",
                                         work.CreateDate.ToShortDateString());           // 作成日
                 strcmd += string.Format(", {0}", work.ConstructionTimes);               // 工期（単位・月）
-                strcmd += string.Format(", DATE_FORMAT('{0}','%Y/%m/%d')",
+                strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')",
                                         work.ConstructionStart.ToShortDateString());    // 契約工期開始
-                strcmd += string.Format(", DATE_FORMAT('{0}','%Y/%m/%d')",
+                strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')",
                                         work.ConstructionEnd.ToShortDateString());      // 契約工期完了
 
                 strcmd += string.Format(", {0}", work.InstructorTimes);                 // 指導員稼働月数
@@ -269,8 +269,8 @@
                 strcmd += string.Format(", {0}", work.I_SalaryFlg);                     // 指導員給与振分区分
                 strcmd += string.Format(", {0}", work.I_SalaryDays);                    // 指導員振分日数
 
-                strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
-                strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
                 strcmd = strcmd + ")";
 
                 if (!ExecuteNonQuery(strcmd, bConnect)) return false;
@@ -341,12 +341,12 @@
                 strcmd += string.Format(", InstructorCode = {0}", data.InstructorCode);                 // 工事指導員コード
                 strcmd += string.Format(", InstructorName = '{0}'", data.InstructorName);               // 工事指導員名
                 strcmd += string.Format(", InstructorCosts = {0}", data.InstructorCosts);               // 工事指導員給与
-                strcmd += string.Format(", CreateDate = DATE_FORMAT('{0}','%Y/%m/%d')",
+                strcmd += string.Format(", CreateDate = STR_TO_DATE('{0}','%Y/%m/%d')",
                                                         data.CreateDate.ToShortDateString());           // 作成日
                 strcmd += string.Format(", ConstructionTimes = {0}", data.ConstructionTimes);           // 工期（単位・月）
-                strcmd += string.Format(", ConstructionStart = DATE_FORMAT('{0}','%Y/%m/%d')",
+                strcmd += string.Format(", ConstructionStart = STR_TO_DATE('{0}','%Y/%m/%d')",
                                                         data.ConstructionStart.ToShortDateString());    // 契約工期開始
-                strcmd += string.Format(", ConstructionEnd = DATE_FORMAT('{0}','%Y/%m/%d')",
+                strcmd += string.Format(", ConstructionEnd = STR_TO_DATE('{0}','%Y/%m/%d')",
                                                         data.ConstructionEnd.ToShortDateString());      // 契約工期完了
 
                 strcmd += string.Format(", InstructorTimes = {0}", data.InstructorTimes);               // 指導員稼働月数
@@ -358,7 +358,7 @@
                 strcmd += string.Format(", I_SalaryFlg = {0}", data.I_SalaryFlg);                       // 指導員給与振分区分
                 strcmd += string.Format(", I_SalaryDays = {0}", data.I_SalaryDays);                     // 指導員振分日数
 
-                strcmd += ", UpdateDate = DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", UpdateDate = STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
                 strcmd += AddSQLString;
 
                 if (!ExecuteNonQuery(strcmd, bConnect)) return false;
@@ -400,6 +400,101 @@
         }
         #endregion
 
+        #region 1項目更新処理
+        /// <summary>
+        /// 1項目の更新を行う
+        /// </summary>
+        /// <returns></returns>
+        public bool UpdateFeild(int ConstructionCode, int FeildNo, object value, bool bConnect = true)
+        {
+            string strcmd = "";
+            try
+            {
+                strcmd = "UPDATE ConstructionBudget";
+
+                strcmd += " SET";
+                switch (FeildNo)
+                {
+                    case (int)TableColumn.ConstructionCode:	    // 工事番号
+                        strcmd += string.Format(" ConstructionCode = {0}", ((int)value).ToString());
+                        break;
+                    case (int)TableColumn.CreatorCode:          // 作成者コード
+                        strcmd += string.Format(" CreatorCode = {0}", ((int)value).ToString());
+                        break;
+                    case (int)TableColumn.CreatorName:    	    // 作成者名
+                        strcmd += string.Format(" CreatorName = '{0}'", value.ToString());
+                        break;
+                    case (int)TableColumn.CreatorCosts:	        // 作成者給与
+                        strcmd += string.Format(" CreatorCosts = {0}", ((double)value).ToString());
+                        break;
+                    case (int)TableColumn.AssistantCode:        // 副担当者コード
+                        strcmd += string.Format(" AssistantCode = {0}", ((int)value).ToString());
+                        break;
+                    case (int)TableColumn.AssistantName:        // 副担当者名
+                        strcmd += string.Format(" AssistantName = '{0}'", value.ToString());
+                        break;
+                    case (int)TableColumn.AssistantCosts:       // 副担当者給与
+                        strcmd += string.Format(" AssistantCosts = {0}", ((double)value).ToString());
+                        break;
+                    case (int)TableColumn.InstructorCode:	    // 工事指導員コード
+                        strcmd += string.Format(" InstructorCode = {0}", ((int)value).ToString());
+                        break;
+                    case (int)TableColumn.InstructorName:	    // 工事指導員名
+                        strcmd += string.Format(" InstructorName = '{0}'", value.ToString());
+                        break;
+                    case (int)TableColumn.InstructorCosts:	    // 工事指導員給与
+                        strcmd += string.Format(" InstructorCosts = {0}", ((double)value).ToString());
+                        break;
+                    case (int)TableColumn.CreateDate:	        // 作成日
+                        strcmd += string.Format(" CreateDate = STR_TO_DATE('{0}','%Y/%m/%d')", ((DateTime)value).ToShortDateString());
+                        break;
+                    case (int)TableColumn.ConstructionTimes:	// 工期（単位・月）
+                        strcmd += string.Format(" ConstructionTimes = {0}", ((double)value).ToString());
+                        break;
+                    case (int)TableColumn.ConstructionStart:    // 契約工期開始
+                        strcmd += string.Format(" ConstructionStart = STR_TO_DATE('{0}','%Y/%m/%d')", ((DateTime)value).ToShortDateString());
+                        break;
+                    case (int)TableColumn.ConstructionEnd:      // 契約工期完了
+                        strcmd += string.Format(" ConstructionEnd = STR_TO_DATE('{0}','%Y/%m/%d')", ((DateTime)value).ToShortDateString());
+                        break;
+                    case (int)TableColumn.InstructorTimes:	    // 指導員稼働月数
+                        strcmd += string.Format(" InstructorTimes = {0}", ((double)value).ToString());
+                        break;
+                    case (int)TableColumn.SalaryFlg:            // 給与振分区分
+                        strcmd += string.Format(" SalaryFlg = {0}", ((int)value).ToString());
+                        break;
+                    case (int)TableColumn.SalaryDays:           // 振分日数
+                        strcmd += string.Format(" SalaryDays = {0}", ((int)value).ToString());
+                        break;
+                    case (int)TableColumn.A_SalaryFlg:          // 副担当者給与振分区分
+                        strcmd += string.Format(" A_SalaryFlg = {0}", ((int)value).ToString());
+                        break;
+                    case (int)TableColumn.A_SalaryDays:         // 副担当者振分日数
+                        strcmd += string.Format(" A_SalaryDays = {0}", ((int)value).ToString());
+                        break;
+                    case (int)TableColumn.I_SalaryFlg:          // 指導員給与振分区分
+                        strcmd += string.Format(" I_SalaryFlg = {0}", ((int)value).ToString());
+                        break;
+                    case (int)TableColumn.I_SalaryDays:         // 指導員振分日数
+                        strcmd += string.Format(" I_SalaryDays = {0}", ((int)value).ToString());
+                        break;
+                }
+
+                strcmd += ", UpdateDate = STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += CreatePrimarykeyString(ConstructionCode);
+
+                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
         #region OracleDataReaderより構造体へセットする
         /// <summary>
         /// OracleDataReaderより構造体へセットする
@@ -412,34 +507,33 @@
             {
                 // データ取得
 
-                wrk.ConstructionCode = int.Parse(objwrk[(int)ConstructionBudgetColumn.ConstructionCode].ToString());	// 工事番号
+                wrk.ConstructionCode = int.Parse(objwrk[(int)TableColumn.ConstructionCode].ToString());	// 工事番号
 
-                wrk.CreatorCode = int.Parse(objwrk[(int)ConstructionBudgetColumn.CreatorCode].ToString());                  // 作成者コード
-                wrk.CreatorName = objwrk[(int)ConstructionBudgetColumn.CreatorName].ToString();                             // 作成者名
-                wrk.CreatorCosts = double.Parse(objwrk[(int)ConstructionBudgetColumn.CreatorCosts].ToString());             // 作成者給与
-                wrk.AssistantCode = int.Parse(objwrk[(int)ConstructionBudgetColumn.AssistantCode].ToString());              // 副担当者コード
-                wrk.AssistantName = objwrk[(int)ConstructionBudgetColumn.AssistantName].ToString();                         // 副担当者名
-                //wrk.AssistantCosts = int.Parse(objwrk[(int)ConstructionBudgetColumn.AssistantCosts].ToString());            // 副担当者給与
-                wrk.AssistantCosts = double.Parse(objwrk[(int)ConstructionBudgetColumn.AssistantCosts].ToString());            // 副担当者給与
-                wrk.InstructorCode = int.Parse(objwrk[(int)ConstructionBudgetColumn.InstructorCode].ToString());            // 工事指導員コード
-                wrk.InstructorName = objwrk[(int)ConstructionBudgetColumn.InstructorName].ToString();                       // 工事指導員名
-                wrk.InstructorCosts = double.Parse(objwrk[(int)ConstructionBudgetColumn.InstructorCosts].ToString());       // 工事指導員給与
-                wrk.CreateDate = DateTime.Parse(objwrk[(int)ConstructionBudgetColumn.CreateDate].ToString());               // 作成日
-                wrk.ConstructionTimes = double.Parse(objwrk[(int)ConstructionBudgetColumn.ConstructionTimes].ToString());   // 工期（単位・月）
-                wrk.ConstructionStart = DateTime.Parse(objwrk[(int)ConstructionBudgetColumn.ConstructionStart].ToString()); // 契約工期開始
-                wrk.ConstructionEnd = DateTime.Parse(objwrk[(int)ConstructionBudgetColumn.ConstructionEnd].ToString());     // 契約工期完了
+                wrk.CreatorCode = int.Parse(objwrk[(int)TableColumn.CreatorCode].ToString());                  // 作成者コード
+                wrk.CreatorName = objwrk[(int)TableColumn.CreatorName].ToString();                             // 作成者名
+                wrk.CreatorCosts = double.Parse(objwrk[(int)TableColumn.CreatorCosts].ToString());             // 作成者給与
+                wrk.AssistantCode = int.Parse(objwrk[(int)TableColumn.AssistantCode].ToString());              // 副担当者コード
+                wrk.AssistantName = objwrk[(int)TableColumn.AssistantName].ToString();                         // 副担当者名
+                wrk.AssistantCosts = int.Parse(objwrk[(int)TableColumn.AssistantCosts].ToString());            // 副担当者給与
+                wrk.InstructorCode = int.Parse(objwrk[(int)TableColumn.InstructorCode].ToString());            // 工事指導員コード
+                wrk.InstructorName = objwrk[(int)TableColumn.InstructorName].ToString();                       // 工事指導員名
+                wrk.InstructorCosts = double.Parse(objwrk[(int)TableColumn.InstructorCosts].ToString());       // 工事指導員給与
+                wrk.CreateDate = DateTime.Parse(objwrk[(int)TableColumn.CreateDate].ToString());               // 作成日
+                wrk.ConstructionTimes = double.Parse(objwrk[(int)TableColumn.ConstructionTimes].ToString());   // 工期（単位・月）
+                wrk.ConstructionStart = DateTime.Parse(objwrk[(int)TableColumn.ConstructionStart].ToString()); // 契約工期開始
+                wrk.ConstructionEnd = DateTime.Parse(objwrk[(int)TableColumn.ConstructionEnd].ToString());     // 契約工期完了
 
-                wrk.InstructorTimes = double.Parse(objwrk[(int)ConstructionBudgetColumn.InstructorTimes].ToString());       // 指導員稼働月数
+                wrk.InstructorTimes = double.Parse(objwrk[(int)TableColumn.InstructorTimes].ToString());       // 指導員稼働月数
 
-                wrk.SalaryFlg = int.Parse(objwrk[(int)ConstructionBudgetColumn.SalaryFlg].ToString());                      // 給与振分区分
-                wrk.SalaryDays = int.Parse(objwrk[(int)ConstructionBudgetColumn.SalaryDays].ToString());                    // 振分日数
-                wrk.A_SalaryFlg = int.Parse(objwrk[(int)ConstructionBudgetColumn.A_SalaryFlg].ToString());                  // 副担当者給与振分区分
-                wrk.A_SalaryDays = int.Parse(objwrk[(int)ConstructionBudgetColumn.A_SalaryDays].ToString());                // 副担当者振分日数
-                wrk.I_SalaryFlg = int.Parse(objwrk[(int)ConstructionBudgetColumn.I_SalaryFlg].ToString());                  // 指導員給与振分区分
-                wrk.I_SalaryDays = int.Parse(objwrk[(int)ConstructionBudgetColumn.I_SalaryDays].ToString());                // 指導員振分日数
+                wrk.SalaryFlg = int.Parse(objwrk[(int)TableColumn.SalaryFlg].ToString());                      // 給与振分区分
+                wrk.SalaryDays = int.Parse(objwrk[(int)TableColumn.SalaryDays].ToString());                    // 振分日数
+                wrk.A_SalaryFlg = int.Parse(objwrk[(int)TableColumn.A_SalaryFlg].ToString());                  // 副担当者給与振分区分
+                wrk.A_SalaryDays = int.Parse(objwrk[(int)TableColumn.A_SalaryDays].ToString());                // 副担当者振分日数
+                wrk.I_SalaryFlg = int.Parse(objwrk[(int)TableColumn.I_SalaryFlg].ToString());                  // 指導員給与振分区分
+                wrk.I_SalaryDays = int.Parse(objwrk[(int)TableColumn.I_SalaryDays].ToString());                // 指導員振分日数
 
-                wrk.EntryDate = DateTime.Parse(objwrk[(int)ConstructionBudgetColumn.EntryDate].ToString());
-                wrk.UpdateDate = DateTime.Parse(objwrk[(int)ConstructionBudgetColumn.UpdateDate].ToString());
+                wrk.EntryDate = DateTime.Parse(objwrk[(int)TableColumn.EntryDate].ToString());
+                wrk.UpdateDate = DateTime.Parse(objwrk[(int)TableColumn.UpdateDate].ToString());
             }
             catch (MySqlException myex)
             {
Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOConstructionBudgetDetail.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOConstructionBudgetDetail.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOConstructionBudgetDetail.cs	(revision 51)
@@ -6,7 +6,7 @@
 using System.Collections;
 
 using log4net;
-using MySql.Data.MySqlClient;
+using MySql.Data.MySqlClient;           // Data Provider for MySql
 
 using ProcessManagement.DB.MySql;
 using ProcessManagement.DB.Core;
@@ -208,8 +208,8 @@
                 strcmd += string.Format(", {0}", work.NegotiateFlg);            // 協力業者交渉フラグ
 
 
-                strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
-                strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
                 strcmd = strcmd + ")";
 
                 if (!ExecuteNonQuery(strcmd, bConnect)) return false;
@@ -285,7 +285,7 @@
                 strcmd += string.Format(", NegotiateFlg = {0}", data.NegotiateFlg);                 // 協力業者交渉フラグ
 
 
-                strcmd += ", UpdateDate = DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", UpdateDate = STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
                 strcmd += AddSQLString;
 
                 if (!ExecuteNonQuery(strcmd, bConnect)) return false;
@@ -327,6 +327,86 @@
         }
         #endregion
 
+        #region 1項目更新処理
+        /// <summary>
+        /// 1項目の更新を行う
+        /// </summary>
+        /// <returns></returns>
+        public bool UpdateFeild(int ConstructionCode, int FeildNo, object value, bool bConnect = true)
+        {
+            string strcmd = "";
+            try
+            {
+                strcmd = "UPDATE ConstructionBudgetDetail";
+
+                strcmd += " SET";
+                switch (FeildNo)
+                {
+                    case (int)DataColumn.ConstructionCode:      // 工事番号
+                        strcmd += string.Format(" ConstructionCode = {0}", ((int)value).ToString());
+                        break;
+                    case (int)DataColumn.GroupCount:             // グループ番号
+                        strcmd += string.Format(" GroupCount = {0}", ((int)value).ToString());
+                        break;
+                    case (int)DataColumn.LineCount:              // 行番号
+                        strcmd += string.Format(" LineCount = {0}", ((int)value).ToString());
+                        break;
+                    case (int)DataColumn.ComponentCode:          // 構成キー
+                        strcmd += string.Format(" ComponentCode = {0}", ((int)value).ToString());
+                        break;
+                    case (int)DataColumn.ItemCode:		        // 工種キー
+                        strcmd += string.Format(" ItemCode = {0}", ((int)value).ToString());
+                        break;
+                    case (int)DataColumn.FirstString:            // 項目名称
+                        strcmd += string.Format(" FirstString = '{0}'", value.ToString());
+                        break;
+                    case (int)DataColumn.SecondString:           // 工事内容
+                        strcmd += string.Format(" SecondString = '{0}'", value.ToString());
+                        break;
+                    case (int)DataColumn.CompanyType:            // 協力会社コードタイプ
+                        strcmd += string.Format(" CompanyType = {0}", ((int)value).ToString());
+                        break;
+                    case (int)DataColumn.CompanyCode:            // 協力会社コード
+                        strcmd += string.Format(" CompanyCode = {0}", ((int)value).ToString());
+                        break;
+                    case (int)DataColumn.CompanyName:            // 協力会社名称
+                        strcmd += string.Format(" CompanyName = '{0}'", value.ToString());
+                        break;
+                    case (int)DataColumn.EstimatePrice:          // 見積時金額
+                        strcmd += string.Format(" EstimatePrice = {0}", ((double)value).ToString());
+                        break;
+                    case (int)DataColumn.NegotiationPrice:       // 交渉時金額
+                        strcmd += string.Format(" NegotiationPrice = {0}", ((double)value).ToString());
+                        break;
+                    case (int)DataColumn.OrderDesiredAmount:     // 発注希望金額
+                        strcmd += string.Format(" OrderDesiredAmount = {0}", ((double)value).ToString());
+                        break;
+                    case (int)DataColumn.ExecutionAmount:        // 実行金額
+                        strcmd += string.Format(" ExecutionAmount = {0}", ((double)value).ToString());
+                        break;
+                    case (int)DataColumn.AmountConfigRate:       // 金額構成率
+                        strcmd += string.Format(" AmountConfigRate = {0}", ((double)value).ToString());
+                        break;
+                    case (int)DataColumn.NegotiateFlg:           // 協力業者交渉フラグ
+                        strcmd += string.Format(" NegotiateFlg = {0}", ((int)value).ToString());
+                        break;
+                }
+
+                strcmd += ", UpdateDate = STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += CreatePrimarykeyString(ConstructionCode);
+
+                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
         #region OracleDataReaderより構造体へセットする
         /// <summary>
         /// OracleDataReaderより構造体へセットする
